Index: code/branches/ogre1.9/data/gui/layouts/DockingDialog.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/DockingDialog.layout	(revision 11125)
+++ code/branches/ogre1.9/data/gui/layouts/DockingDialog.layout	(revision 11211)
@@ -1,35 +1,34 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/Docking/Background" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/Docking/Title" >
-            <Property Name="Text" Value="Docking" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
-            <Window Type="MenuWidgets/Listbox" Name="orxonox/Docking/Docks" >
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.85,0}}" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="Background" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="Title" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Docking" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.2875,0},{0.75,0},{0.7,0}}" />
+            <Window name="Docks" type="MenuWidgets/Listbox">
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="Area" value="{{0.05,0},{0.15,0},{0.95,0},{0.85,0}}" />
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Docking/DockButton" >
-            <Property Name="Text" Value="Dock" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="DockingDialog.dockButton_clicked"/>
+        <Window name="DockButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Dock" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.2875,0},{0.725,0},{0.4875,0},{0.775,0}}" />
+            <Event function="DockingDialog.dockButton_clicked" name="Clicked" />
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/Docking/CancelButton" >
-            <Property Name="Text" Value="Cancel" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
-            <Event Name="Clicked" Function="DockingDialog.cancelButton_clicked"/>
+        <Window name="CancelButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Cancel" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.5125,0},{0.725,0},{0.7125,0},{0.775,0}}" />
+            <Event function="DockingDialog.cancelButton_clicked" name="Clicked" />
         </Window>
     </Window>
